Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Bearer token via Authorization header

Query Parameters

state
enum<string>[] | null
Available options:
creating,
assigned,
ready,
rebooting,
migrating,
resetting,
terminated,
maintenance,
stopped,
unknown
type
enum<string>

Deprecated device type aliases are accepted during a compatibility grace period: dedicated_premium_device maps to android_cloud_phone, dedicated_physical_device maps to android_physical_phone, dedicated_ios_device maps to ios_stealth_phone, and dedicated_emulated_device maps to android_emulator.

Available options:
android_cloud_phone,
dedicated_premium_device,
dedicated_physical_device,
dedicated_ios_device,
dedicated_emulated_device
country
string
name
string
providerId
string
mine
boolean
default:false

When true, only return devices created by the calling user (resolved from X-User-ID, never a client-supplied id).

createdBy
string

Filter to devices created by this user id. Mutually exclusive with mine.

page
integer<int64>
default:1
pageSize
integer<int64>
default:20
orderBy
enum<string>
default:createdAt
Available options:
id,
createdAt,
updatedAt,
assignedAt
orderByDirection
enum<string>
default:desc
Available options:
asc,
desc

Response

OK

items
object[] | null
required
pagination
object
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://example.com/schemas/ResponseDeviceInfo.json"